Package org.springframework.batch.core.configuration.xml

# Class AbstractListenerParser

java.lang.Object
org.springframework.batch.core.configuration.xml.AbstractListenerParser

Direct Known Subclasses:
  `JobExecutionListenerParser`, `StepListenerParser`

public abstract class AbstractListenerParser extends Object

Since:
  2.0
Author:
  Dan Garrette
See Also:
  - `StepListenerParser`
  - `JobExecutionListenerParser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractListenerParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
  `protected abstract Class<? extends AbstractListenerFactoryBean<?>>`
  `getBeanClass()`
  `protected abstract ListenerMetaData[]`
  `getMetaDataValues()`
  `org.springframework.beans.factory.support.AbstractBeanDefinition`
  `parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
  `static org.springframework.beans.BeanMetadataElement`
  `parseListenerElement(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.config.BeanDefinition enclosing)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractListenerParser

    public AbstractListenerParser()

- ## Method Details

  - ### parse

    public org.springframework.beans.factory.support.AbstractBeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

  - ### doParse

    public void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  - ### parseListenerElement

    public static org.springframework.beans.BeanMetadataElement parseListenerElement(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.config.BeanDefinition enclosing)

  - ### getBeanClass

    protected abstract Class<? extends AbstractListenerFactoryBean<?>> getBeanClass()

  - ### getMetaDataValues

    protected abstract ListenerMetaData[] getMetaDataValues()